Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK

## javax.swing.table
Class DefaultTableModel

Method Summary
`Iterator` | `iterator()` Returns an Iterator which traverses the DefaultTableModel one item at a time.
`DefaultTableModel` | `leftShift(Object row)` Overloads the left shift operator to provide an easy way to add rows to a DefaultTableModel.
`void` | `putAt(int index, Object row)` Allow DefaultTableModel to work with subscript operators.

Method Detail

### iterator

    public Iterator iterator()

  Returns an Iterator which traverses the DefaultTableModel one item at a time.

Returns:
  an Iterator for a DefaultTableModel

Since:
  1.6.4

### leftShift

    public DefaultTableModel leftShift(Object row)

  Overloads the left shift operator to provide an easy way to add rows to a DefaultTableModel.

  if row.size < model.size -> row will be padded with nulls
  if row.size > model.size -> additional columns will be discarded

Parameters:
  `row` - a row to be added to the model..

Returns:
  same model, after the value was added to it.

Since:
  1.6.4

### putAt

    public void putAt(int index, Object row)

  Allow DefaultTableModel to work with subscript operators.

  WARNING: this operation does not replace the item at the specified index, rather it inserts the item at that index, thus increasing the size of the model by 1.

  if row.size < model.size -> row will be padded with nulls
  if row.size > model.size -> additional columns will be discarded

Parameters:
  `index` - an index.
  `row` - the row to insert at the given index.

Since:
  1.6.4

Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK